#!/bin/bash
if [ `whoami` != "root" ];then
echo "U need to be root to install tunnelssh!"
exit 1
fi
echo -n "checking files ... "
if [ ! -e etc/tunnelssh/hosts.cnf ];then
	echo "What dit you do?! not all files are in there place!"
	echo "MISSING: etc/tunnelssh/hosts.cnf"
	echo "Please re-unpack or re-download tunnelssh"
	exit 1
fi
if [ ! -e usr/sbin/tunnelssh ];then
        echo "What dit you do?! not all files are in there place!"
        echo "MISSING: usr/sbin/tunnelssh"
        echo "Please re-unpack or re-download tunnelssh"
	exit 1
fi
if [ ! -e usr/man/man1/tunnelssh.1 ];then
        echo "What dit you do?! not all files are in there place!"
        echo "MISSING: usr/man/man1/tunnelssh.1"
        echo "Please re-unpack or re-download tunnelssh"
	exit 1
fi
if [ ! -e etc/bash_completition.d/tunnelssh_completition ];then
        echo "What dit you do?! not all files are in there place!"
        echo "MISSING: etc/bash_completition.d/tunnelssh_completition"
        echo "Please re-unpack or re-download tunnelssh"
        exit 1
fi
echo "OK"

echo -n "Checking dependicies ... "
if [ ! -e /etc/ssh/ssh_config ];then
	echo "ERROR: ssh is not present!"
	echo "ERROR: install it by executing 'sudo apt-get install ssh'"
	echo "ERROR: and re-run me."
	exit 1
fi
echo "OK"

echo "installing files ..."
#cp etc/tunnelssh/hosts.cnf /etc/tunnelssh/hosts.cnf
echo "	> /etc/tunnelssh/hosts.cnf"
#cp usr/man/man1/tunnelssh.1 /usr/man/man1/tunnelssh.1
echo "	> /usr/man/man1/tunnelssh.1"
#cp etc/bash_completition.d/tunnelssh_completition /etc/bash_completition.d/tunnelssh_completition
echo "	> /etc/bash_completition.d/tunnelssh_completition"
#cp usr/sbin/tunnelssh /usr/sbin/tunnelssh
echo "	> /usr/sbin/tunnelssh"
sleep 1
echo "DONE. please log out and log back in to activate the bash completition for tunnelssh"
echo "for more info, check the manpage 'man tunnelssh'"
